<script type="text/javascript" src="/js/cubix-ui-v1.0.source.js"></script>
<script type="text/javascript" src="/js/cubix-button-v1.0.source.js"></script>
<script type="text/javascript" src="/js/cubix-shadow-v1.0.source.js"></script>
<script type="text/javascript" src="/js/cubix-popup-v3.0.source.js"></script>
<script type="text/javascript" src="/js/cubix-grid-v2.0.source.js"></script>

<script type="text/javascript">
Cubix.ready = function () {
	new Cubix.Shadow($('content'));
	
	var popup = new Cubix.Popup.Ajax({
		abar: [
			{ caption: 'Save', icon: 'accept', action: Cubix.Popup.Actions.SaveValid },
			{ caption: 'Close', icon: 'cancel', action: Cubix.Popup.Actions.Close }
		],
		width: 450
	});

	var grid = Cubix.Grid.Instance = new Cubix.Grid('cx-grid', {
		identifier: { field: 'id' },
		header: [
			{ title: 'From', field: 'from', type: 'string', sortable: true },
			{ title: 'Subject', field: 'subject', type: 'string', sortable: true },
			{ title: 'Body', field: 'body', type: 'string', sortable: true },
			{ title: 'BO User', field: 'username', type: 'string', sortable: true }
		],
		sort: {
			field: 'id',
			dir: 'desc'
		},
		actions: [ { type: 'remove', func: function (data) {
			if ( confirm('Are you sure you want to delete this entity ?') ) {
				this.overlay.disable();
				new Request({
					url: '/ebsms/emailtemplates/delete?id=' + data.id,
					onSuccess: function (resp) {
						grid.load();
					}.bind(this)
				}).send();
			}
		} }, { type: 'edit', func: function (data) {
			popup.setTitle('Edit Email Template');
			popup.load('/ebsms/emailtemplates/edit?id=' + data.id, function () {
				this.open();
			});
		} } ],
		data: new Cubix.Grid.Loader({ url: '/ebsms/emailtemplates/data' })
	});

	new Cubix.Button($('btn-create'), { onClick: function () {
		popup.setTitle('Create Email Template');
		popup.load('/ebsms/emailtemplates/create', function () {
			this.open();
		});
	}, icon: 'add', caption: 'Create Template', classes: 'mr10' });
};
</script>

<div class="action-bar">
	<a href="" id="btn-create"></a>

	<div class="clear"></div>
</div>

<div id="ajax-dest">
	<div id="cx-grid">
	</div>
</div>
